|  | Home | Documentation | SOAP_ENV__Detail Struct Reference updated by Robert van Engelen |

SOAP_ENV__Detail Struct Reference
Fault structure and functions

SOAP Fault Detail structure. More...

`#include <stdsoap2.h>`

## Public Attributes

int | __type
| Any data of some type T serialized as fault element when its SOAP_TYPE_T is assigned to __type.
void * | fault
| Any data of some type T serialized as fault element when its SOAP_TYPE_T is assigned to __type.
_XML | __any
| Any XML content.

## Detailed Description

SOAP Fault Detail structure.

See also
  SOAP_ENV__Fault.

## Member Data Documentation

## ◆ __any

_XML SOAP_ENV__Detail::__any

Any XML content.

## ◆ __type

int SOAP_ENV__Detail::__type

Any data of some type T serialized as fault element when its SOAP_TYPE_T is assigned to __type.

## ◆ fault

void* SOAP_ENV__Detail::fault

Any data of some type T serialized as fault element when its SOAP_TYPE_T is assigned to __type.